Subject: Re: [PATCH v3 2/2] kconfig: Remove the architecture specific config for Propeller

From: Nathan Chancellor <[email-masked]>
Date: Tue, 2 Jun 2026 18:53:54 -0700

On Tue, Jun 02, 2026 at 10:52:48AM -0700, Rong Xu wrote:
> On Tue, Jun 2, 2026 at 2:43 AM Will Deacon <[email-masked]> wrote:
> > I still don't think it has anything to do with the arch. If the compiler
> > supports the option, then we can use it. The arch code in the kernel
> > doesn't need to do anything, right? So can you just check if the
> > compiler accepts the option using a 'depends on $(cc-option, ...)' line?
> 
> Yes, arch code in the kernel does not need to do anything—it is just a marker.
> 
> I understand your concern. I can use (cc-options,...) in PROPELLER_CLANG config.
> But I will not use -fbasic-block-address-map for backward compatiliby reason.
> I would use "-fbasic-block-sections=list=/dev/null".
> 
> I'll send the updated patch shortly.

Technically, an architecture needs to add the section generated by this
compiler option to their linker script to avoid an orphan section
warning (or error from CONFIG_WERROR) if enabled, as has been done in
this series.

I worry that moving to a dynamic check will cause build breakage if an
LLVM target gains support for Propeller without having their kernel
image linker script adjusted. Maybe that will not happen very often and
even if it does, I do not mind taking on the maintenance burden of
fixing it but there is a cost of moving to a dynamic check like this.

-- 
Cheers,
Nathan